simplestreams (0.1.0-30-g3cc8988a-0ubuntu1.20.04.1) focal; urgency=medium

  * Add 10s timeout to out-going requests to avoid blocking.
    - Via: d/patches/0001-Add-10s-timeout-to-out-going-requests.patch
      Upstream cherry-pick. Thanks: Adam Collard. (LP: #1908452)

 -- Paride Legovini <paride.legovini@ubuntu.com>  Fri, 11 Jun 2021 16:51:14 +0200

simplestreams (0.1.0-30-g3cc8988a-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
    - tools/js2signed: change shebang to /usr/bin/env python3
    - Fix file matching for disk-kvm.img [Stéphane Graber]
    - Add combined-disk-kvm-img_sha256 to download.json [Stéphane Graber]
    - debian: run the tests only against Python 3 [Paride Legovini]
    - debian: stop building Python 2 package

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 05 Dec 2019 10:51:04 -0500

simplestreams (0.1.0-25-gba75825b-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
    - Add combined_disk1-img_sha256 to download.json [Stéphane Graber]
    - Apply filters to items before filtering versions [Philip Roche]
    - Add KVM images to eoan. [Pat Viafore]
  * d/control: remove python-simplestreams-openstack

 -- Daniel Watkins <oddbloke@ubuntu.com>  Tue, 20 Aug 2019 10:31:20 -0400

simplestreams (0.1.0-22-g409fdc15-0ubuntu1) disco; urgency=medium

  * debian/README.source: update to refer to upstream packaging
    ubuntu/devel branch.
  * debian/new-upstream-snapshot: remove obsolete bzr tool.
  * New upstream snapshot.
    - tools: rename export-tarball to make-tarball.
    - Do not run flake8 during 'make test', remove 'trusty-flake8' tox env.
    - Add SSL support to simplestreams/openstack.py
      [Alex Kavanagh] (LP: #1802407)
    - Add 'ubuntu' alias to CURRENT_LTS. [Daniel Watkins]
    - tenv: Put topdir/bin before topdir/tools in PATH [Daniel Watkins]

 -- Scott Moser <smoser@ubuntu.com>  Mon, 07 Jan 2019 15:38:04 -0500

simplestreams (0.1.0-17-g693795b-0ubuntu1) disco; urgency=medium

  * debian/control: Update packaging to include
    python3-simplestreams-openstack.
  * debian/control: drop obsolete conficts/replaces.
  * debian/: fix lintian warnings and errors.
    - package-uses-deprecated-debhelper-compat-version: change to 9
      9 is what is in 16.04 (and 12.04), so stick with that for now.
    - build-depends-on-build-essential-package-without-using-version:
      drop the make dependency.
    - ancient-python-version-field: no need to specify X-python-version
      or X-python3-version any more.
    - ancient-standards-version:
      move debian/control Standards-Version to 4.2.1
    - priority-extra-is-replaced-by-priority-optional:
      replace extra with optional
   * debian/control: new package python3-simplestreams-openstack.
  * New upstream snapshot.
    - Move sstream-mirror-glance from tools/ to bin/.
    - glance: Support Glance version 2. [David Ames] (LP: #1790904)
    - Move to git.
    - sstream-mirror-glance update to python3 and include in shipped files.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 13 Nov 2018 10:43:34 -0500

simplestreams (0.1.0~bzr460-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - Glance: handle Keystone v2 session based authentication.
      [David Ames] (LP: #1611987)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 Apr 2018 12:50:58 -0400

simplestreams (0.1.0~bzr459-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - Fix make-test-data for python3.
    - Fix ubuntu_versions.py with distro_info > 0.14.
    - i386 OVA are not produced after bionic 20180213. [Phil Roche]
    - tools/make-test-data: Add AWS China cn-northwest-1 region
    - OpenStack: support uploading squash images for nova-lxd. (LP: #1686086)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 16 Mar 2018 12:28:14 -0400

simplestreams (0.1.0~bzr454-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot.
    - Support using older swift clients (older than Ocata).
      [David Ames] (LP: #1719879)
    - Fix glance sync always uploading new image with keystone v3 auth.
      [David Ames] (LP: #1728982)
    - tox.ini: Pin versions of style check tools used in flake8 env.
    - flake8: remove usage of bare except.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 31 Oct 2017 10:15:41 -0400

simplestreams (0.1.0~bzr450-0ubuntu1) artful; urgency=medium

  * New upstream snapshot.
    - Keystone v3 Support [David Ames] (LP: #1686437)
    - flake8/pycodestyle updates.
    - tests: change to having http server select its own port
    - Support filters that contain a '-' in the tag name
    - Improvements for running flake8 in different Ubuntu release
      environments.
    - add running of tox.
    - json2streams: Accept items with no size.
    - tools changes (not related to package functionality)
      - tools/ubuntu_versions.py: Exclude old versions by version not name
      - Update default LTS alias to point to Xenial (LP: #1606606)
      - Create chksum for LXD metadata+root for squashfs (LP: #1577922)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 14 Sep 2017 10:38:07 -0400

simplestreams (0.1.0~bzr436-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - GlanceMirror: fix a couple of race-related problems (LP: #1584938)
    - GlanceMirror: refactor insert_item for easier testing
    - GlanceMirror: ignore inactive images (LP: #1583276)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 14 Jun 2016 16:23:26 -0400

simplestreams (0.1.0~bzr430-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - set a default user agent (LP: #1578622)
    - glance mirror: do not require that hypervisor_config be
      present (LP: #1578624)
    - Optimise read_signed method for better performance (LP: #1580534)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 12 May 2016 12:55:30 -0400

simplestreams (0.1.0~bzr427-0ubuntu1) yakkety; urgency=medium

  * New upstream snapshot.
    - Add user-agent support: allow users of the library to specify
      a user agent.

 -- Scott Moser <smoser@ubuntu.com>  Thu, 05 May 2016 00:14:12 -0400

simplestreams (0.1.0~bzr426-0ubuntu1) xenial; urgency=medium

  * debian/README.source, debian/new-upstream-snapshot: add
    script to do what README.source said to do before.
  * New upstream snapshot.
    - glance mirror: use 'virt' key for hypervisor type and use names
      'kvm' and 'lxd' rather than 'qemu' and 'lxc' (LP: #1560903)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 23 Mar 2016 09:44:00 -0400

simplestreams (0.1.0~bzr423-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - glance mirror: better support for multi-hypervisor regions in 
      OpenStack (LP: #1518260)
    - util.py: dump_data: dump json data with sorted keys

 -- Scott Moser <smoser@ubuntu.com>  Mon, 01 Feb 2016 05:50:03 -0500

simplestreams (0.1.0~bzr420-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - sstream-query, sstream-mirror: fix a bug where --no-verify did not
      work with signed streams.
    - sanitize size parameter to read on Readers to address differences
      in python2 and python3 (LP: #1523682).
  * debian/control:
    - bump standards version
    - add build-depends on python-requests, python3-requests
    - add build-depends on dh-python
  * debian/copyright: fix lintian error by changing license name
    'agplv3' to 'AGPL-3'

 -- Scott Moser <smoser@ubuntu.com>  Tue, 08 Dec 2015 16:20:28 -0500

simplestreams (0.1.0~bzr416-0ubuntu1) xenial; urgency=medium

  * New upstream snapshot.
    - support using gpgv if available and a keyring is provided (LP: #1250370)
    - sstream-mirror: fix trace if .data is not present (LP: #1511364)
    - support --json output to sstream-query
    - sstream-mirror do not write status information to stdout.
    - add json2streams command for converting json data to stream format.
  * debian/control: mention build-depends on python-mock and python3-mock

 -- Scott Moser <smoser@ubuntu.com>  Fri, 20 Nov 2015 15:38:24 -0500

simplestreams (0.1.0~bzr401-0ubuntu1) wily; urgency=high

  * New upstream snapshot.  
    - export checksummer in simplestreams.util (LP: #1499749)

 -- Scott Moser <smoser@ubuntu.com>  Fri, 25 Sep 2015 10:52:51 -0400

simplestreams (0.1.0~bzr400-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    - sstream-mirror, sstream-query, sstream-sync: add --no-verify
      flag (LP: #1249018)
    - pep8/flake8 cleanups
    - several closing of filehandle fixes (LP: #1461181)
    - GlanceMirror fix stack trace if no matching entries (LP: #1353724)
    - tools: upstream development tools fixes (not shipped in ubuntu)
    - GlanceMirror: change known Ubuntu arches into appropriate glance
      arch values (LP: #1483159)
    - Ensure all users of 'sync' get checksumming of content by default.
      insert_item now provides a content source that does checksumming
      during reads and raises exception on error (LP: #1487004)
  * debian/README.source: add file, doc how to take upstream snapshot
  * debian/rules: export SS_REQUIRE_DISTRO_INFO so that test
    runs without a dependency on distro-info

 -- Scott Moser <smoser@ubuntu.com>  Thu, 24 Sep 2015 21:53:46 -0400

simplestreams (0.1.0~bzr378-0ubuntu1) wily; urgency=medium

  * New upstream snapshot.
    - GlanceMirror: identify images as i686 not i386 (LP: #1454775)
    - sstream-mirror: debug statement about filtered items
    - GlanceMirror: do not strip version information from endpoints
      (LP: #1346935)
    - general fixes to tools/ that are upstream only, not packaged.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 13 May 2015 13:03:50 -0400

simplestreams (0.1.0~bzr354-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    - support progress output in the glance mirror (LP: #1340983)
    - upstream uses pyflakes instead of pylint

 -- Scott Moser <smoser@ubuntu.com>  Fri, 22 Aug 2014 10:06:19 -0400

simplestreams (0.1.0~bzr351-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot.
    * backwards compatible improvements to 'products_condense'
      (LP: #1328100, LP: #1329804)
    * glance mirror: add filter support
    * sstream-mirror: add '--progress' flag.

 -- Scott Moser <smoser@ubuntu.com>  Tue, 01 Jul 2014 11:24:18 -0400

simplestreams (0.1.0~bzr341-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * sstream-mirror: dry-run support
    * sstream-mirror: support for mirroring streams that re-use
      a path across items (such as maas ephemerals)
    * sstream-mirror: show gpg error message on gpg verification
  * debian/control: add build-depends on python-nose and python-yaml
    for running python 2 tests.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 26 Mar 2014 12:25:02 -0400

simplestreams (0.1.0~bzr331-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot.
    * support writing sparse files in FileStore
    * stringitems: make ints and floats available as strings
    * resolvwork: enforce that max and keep must be integers
    * load_keystone_creds: documentation
    * fix bug with contentsource (LP: #1241711)

 -- Scott Moser <smoser@ubuntu.com>  Tue, 18 Mar 2014 17:01:45 -0400

simplestreams (0.1.0~bzr323-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:54:02 +0000

simplestreams (0.1.0~bzr323-0ubuntu1) trusty; urgency=low

  * New upstream snapshot.
    * fix bug with sstream-sync (LP: #1241711)
    * fix bug in glance mirror (LP: #1243433)
    * fix odd behavior bug when filtering.  The result was that if you
      had ever run with a filter, subsequent runs with modified filter
      would not see different results (LP: #1238227).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 22 Oct 2013 19:35:38 -0400

simplestreams (0.1.0~bzr318-0ubuntu1) saucy-proposed; urgency=low

  * New upstream snapshot.
    * fix odd behavior bug when filtering.  The result was that if you
      had ever run with a filter, subsequent runs with modified filter
      would not see different results (LP: #1238227).

 -- Scott Moser <smoser@ubuntu.com>  Tue, 15 Oct 2013 17:25:40 -0400

simplestreams (0.1.0~bzr316-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix bug in resuming a partial download in sstream-mirror
      or anything using the FileObjectStore (LP: #1237990)

 -- Scott Moser <smoser@ubuntu.com>  Thu, 10 Oct 2013 12:07:34 -0400

simplestreams (0.1.0~bzr315-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix interpreter written on sstream-sync, sstream-query and
      sstream-mirror. It should be python3, not python2.7. (LP: #1237637)
    * simplestreams/mirrors/__init__.py: fix bug causing resumed downloads
      to stack trace (LP: #1237658)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 09 Oct 2013 17:30:23 -0400

simplestreams (0.1.0~bzr313-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * handle sigpipe gracefully (LP: #1207779)
    * as user-friendly cleanup add a trailing '/' to a url if necessary
    * add --delete flag to sstream-sync
    * add python-simplestreams-openstack metapackage so other packages
      could depend on this, but the python-simplestreams package will
      not incur those dependencies. (LP: #1233269)
    * debian/control: Suggest rather than Depend on python-requests.
      Also, up the version to the actual required version (1.1).

 -- Scott Moser <smoser@ubuntu.com>  Mon, 30 Sep 2013 15:00:54 -0400

simplestreams (0.1.0~bzr307-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * support for progress callbacks in file object store.
    * support for partial download resume support to file object store.
    * inclusion of sstream-mirror
    * support for reading from gpg keyring rather than user's default keyring.
    * sstream-query --pretty output format.
    * fix for python2 if no python-requests is available

 -- Scott Moser <smoser@ubuntu.com>  Wed, 11 Sep 2013 21:55:18 -0400

simplestreams (0.1.0~bzr272-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * fix bug where .sjson files did not work with sstream-query and python3.
    * fix python2 issue in library that resulted in items not having all tags.

 -- Scott Moser <smoser@ubuntu.com>  Wed, 10 Jul 2013 11:20:09 -0400

simplestreams (0.1.0~bzr266-0ubuntu1) saucy; urgency=low

  * New upstream snapshot.
    * include sstream-query, improved sstream-sync
    * supports python3

 -- Scott Moser <smoser@ubuntu.com>  Fri, 28 Jun 2013 16:23:11 -0400

simplestreams (0.1.0~bzr229-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    * fix a bug in 'products_condense'
    * support http simple and digest auth

 -- Scott Moser <smoser@ubuntu.com>  Thu, 18 Apr 2013 18:19:11 -0400

simplestreams (0.1.0~bzr223-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
    * some fixes to resolvework
    * include upstream work on glance mirror with support for
      writing simplestreams output to swift

 -- Scott Moser <smoser@ubuntu.com>  Thu, 11 Apr 2013 13:05:52 -0400

simplestreams (0.1.0~bzr191-0ubuntu1) raring; urgency=low

  * Initial release

 -- Scott Moser <smoser@ubuntu.com>  Tue, 26 Mar 2013 01:10:01 +0000

